fix munin-sched

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

fix munin-sched

Julien Dhaille
Hi !
munin-node-2.0.37p0 contains a script called /usr/local/sbin/munin-sched which seems broken :

# /usr/local/sbin/munin-sched
Can't locate List/MoreUtils.pm in @INC (you may need to install the List::MoreUtils module) (@INC contains: /usr/local/libdata/perl5/site_perl/amd64-openbsd /usr/local/libdata/perl5/site_perl /usr/libdata/perl5/amd64-openbsd /usr/libdata/perl5) at /usr/local/libdata/perl5/site_perl/Munin/Node/ProxySpooler.pm line 10.
BEGIN failed--compilation aborted at /usr/local/libdata/perl5/site_perl/Munin/Node/ProxySpooler.pm line 10.
Compilation failed in require at /usr/local/sbin/munin-sched line 34.
BEGIN failed--compilation aborted at /usr/local/sbin/munin-sched line 34.

The package p5-List-MoreUtils-0.428 fixes this issue so I think it should be added as a dependency.

I do not use this script, so my tests are very limited !

Cheers